%if 0%{?el7}
%define dist .el7
%endif

Name:		perl-IP-Country
Version:	2.28
Release:	5%{?dist}
Summary:	fast lookup of country codes from IP addresses

Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/~nwetters/
Source0:	http://search.cpan.org/CPAN/authors/id/N/NW/NWETTERS/IP-Country-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
Finding the home country of a client using only the IP address can be difficult.
Looking up the domain name associated with that address can provide some help,
but many IP address are not reverse mapped to any useful domain,
and the most common domain (.com) offers no help when looking for country.

This module comes bundled with a database of countries where various
IP addresses have been assigned. Although the country of assignment will
probably be the country associated with a large ISP rather than the client herself,
this is probably good enough for most log analysis applications,
and under test has proved to be as accurate as reverse-DNS and WHOIS lookup.

%prep
%setup -q -n IP-Country-%{version}

%build
%{__perl} Makefile.PL installdirs=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name .packlist | xargs rm -rf
find $RPM_BUILD_ROOT -name perllocal.pod | xargs rm -rf

%files
%doc CHANGES INSTALL README
%{_bindir}/ip2cc
%{perl_vendorlib}/*
%{_mandir}/man3/*
%{_mandir}/man1/ip2cc.1*

%changelog
* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 2.28-5
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 2.28-4
- Rebuilt for fc23

* Wed Apr 15 2015 momo-i <webmaster@momo-i.org> - 2.28-3
- Rebuilt for fc22

* Wed Jan 29 2014 momo-i <webmaster@momo-i.org> - 2.28-1
- Update to 2.28

* Fri Mar  8 2013 momo-i <webmaster@momo-i.org> 2.27-1
- Initial rpm release.
